[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#304551: marked as done (please allow options to reference environment variables)

Your message dated Wed, 1 Sep 2010 16:01:51 +0200
with message-id <20100901140151.GT12469@melusine.alphascorpii.net>
and subject line Package got removed
has caused the Debian Bug report #304551,
regarding please allow options to reference environment variables
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact owner@bugs.debian.org

304551: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=304551
Debian Bug Tracking System
Contact owner@bugs.debian.org with problems
--- Begin Message ---
Package: arch-buildpackage
Version: 0.1-2
Severity: wishlist

I am trying to get

  dpkg-buildpackage = pdebuild --buildresult .. --auto-debsign --debbuildopts -i"'\+\+(pristine-trees|saved|log).*|,,.*' $ENV{'DEBUILDOPTS'}"

to work, which fails because of `use strict;`:

  Use of uninitialized variable $ENV
   at /usr/bin/arch-buildpackage line 41

Thus, I see no way to pass '-sa' into the build.

Maybe there is even a better way to achieve what I am trying to do.


-- System Information:
Debian Release: 3.1
Architecture: amd64 (x86_64)
Kernel: Linux 2.6.10-9-amd64-k8
Locale: LANG=en_GB, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)

Versions of packages arch-buildpackage depends on:
ii  libconfig-general-perl        2.27-1     generic configuration module
ii  perl                          5.8.4-8    Larry Wall's Practical Extraction 
ii  tla                           1.3-1      arch revision control system

-- no debconf information

 .''`.     martin f. krafft <madduck@debian.org>
: :'  :    proud Debian developer, admin, user, and author
`. `'`
  `-  Debian - when you have better things to do than fixing a system
Invalid/expired PGP subkeys? Use subkeys.pgp.net as keyserver!
"menschen, welche rasch feuer fangen,
 werden schnell kalt und sind daher im ganzen unzuverlässig."
                                                 - friedrich nietzsche

Attachment: signature.asc
Description: Digital signature

--- End Message ---
--- Begin Message ---
Version: 0.1-5+rm


As the package got removed from the archive (please seee
http://bugs.debian.org/594862 for details) I hereby close this bug

Best Regards,

--- End Message ---

Reply to: